// Util

.hover-scale {
	transition: transform .3s;
	transform: scale(1);
	display: inline-block;
	&:hover {
		transform: scale(1.2);
	}
}
.hover-scale-sm {
	transition: transform .3s;
	transform: scale(1);
	display: inline-block;
	&:hover {
		transform: scale(1.05);
	}	
}
.mw-8 {
	max-width: 8em;
}
.w-xl-60 {
	@include media-breakpoint-up(xl) {
		width: 60% !important;
	}
}
.bg-cover {
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
}
.minh-100vh {
	min-height: 100vh;
}
.mw-xl {
	max-width: map-get($container-max-widths, "xl");
}
.border-fat {
	border-width: 3px !important;
}
.bg-gray-100 {
	background-color: $gray-100 !important;
}
.bg-gray-200 {
	background-color: $gray-200 !important;
}
.bg-gray-300 {
	background-color: $gray-300 !important;
}
.bg-gray-400 {
	background-color: $gray-400 !important;
}
.bg-gray-800 {
	background-color: $gray-800 !important;
}
.w-md-20 {
	@include media-breakpoint-up(sm) {
		width: 20% !important;
	}
}
.w-sm-auto {
	@include media-breakpoint-up(sm) {
		width: auto !important;
	}
}
.sm-h3 {
	@include media-breakpoint-up(sm) {
		font-size: 1.75rem !important;
	}	
}
.md-h1 {
	@include media-breakpoint-up(md) {
		font-size: 2.5rem !important;
	}	
}

// Global
.g-modal {
	position: fixed;
	z-index: 2000;
	width: 100vw;
	height: 100vh;
	background-color: #fff;
	top: 0;
	overflow-y: auto; 
	display: none;
}
.g-noscroll {
	overflow: hidden;
}
button.close {
	padding: .1em .5em;
	font-size: 3em;
}
.g-form {
	padding: 2em;
	max-width: 40em;
	width: 100%;
	text-align: left;
	margin-left: auto;
	margin-right: auto;

	.helptext {
		font-size: .9em;
		opacity: .7;
	}

	.form-group.required label {
		position: relative;
		margin-bottom: 1em;
	}

	.form-group.required label:before {
		content: '(required)';
		display: inline-block;
		position: absolute;
		bottom: -1.2em;
		font-size: .8em;
		font-style: italic;
		opacity: .6;
	}

	.errorlist {
		color: $danger;
		padding-left: 0;
		margin-bottom: .2em;
		font-size: .9em;
		font-weight: 700;
	}

	.errorlist li {
		list-style: none;
	}

	input::placeholder {
		color: #bbb;
	}

	&__mock {
		display: none;
		position: absolute;
		width: 100%;
		height: 100%;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		z-index: 2;
	}

	&__mock-box {
		position: relative;
	}

	&__icon {
		font-size: 5em;
	}

	&__success-message {
		font-size: 1.3em;
		font-weight: 700;
		text-align: center;
	}

	&_success form,
	&_loading form {
		opacity: .2;
		pointer-events: none;
	}

	&_success &__success,
	&_loading &__loading {
		display: flex;
	}

	&__title {
		text-transform: uppercase;
		font-weight: 700;
	}
}

/* Browser mockup code
 * Contribute: https://gist.github.com/jarthod/8719db9fef8deb937f4f
 * Live example: https://updown.io
 */
.g-browser-mockup {
	border-top: 2em solid rgba(230, 230, 230, 0.7);
	box-shadow: 0 0.1em 1em 0 rgba(0, 0, 0, 0.4);
	position: relative;
	border-radius: 3px 3px 0 0;

	&:before {
		display: block;
		position: absolute;
		content: '';
		top: -1.25em;
		left: 1em;
		width: 0.5em;
		height: 0.5em;
		border-radius: 50%;
		background-color: #f44;
		box-shadow: 0 0 0 2px #f44, 1.5em 0 0 2px #9b3, 3em 0 0 2px #fb5;
	}

	&.with-tab:after {
		display: block;
		position: absolute;
		content: '';
		top: -2em;
		left: 5.5em;
		width: 20%;
		height: 0em;
		border-bottom: 2em solid white;
		border-left: 0.8em solid transparent;
		border-right: 0.8em solid transparent;
	}

	&.with-url:after {
		display: block;
		position: absolute;
		content: '';
		top: -1.6em;
		left: 5.5em;
		width: calc(100% - 6em);
		height: 1.2em;
		border-radius: 2px;
		background-color: white;
	}

	& > * {
		display: block;
	}
}

// Homepage
.hom-header {
	background-image: url('../images/bg-doctors-mobile.jpg');
    background-position: 60%;
    background-size: cover;
	@media (min-width: map-get($grid-breakpoints, 'sm')) {
		background-position: 100%;
		background-image: url('../images/bg-doctors.jpg');
	}
	.progress {
		background-color: transparentize($white, .4);
	}
}

.hom-problem {
	height: 80vh;
	color: $white;
	position: relative;
	background-size: cover;
	background-position: center;

	&__content {
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
		background: transparentize($gray-800,.3);
	}

	&_eyecare {
		@include media-breakpoint-down(xs) {
			background-position: -7em;
		}
	}
}
.slick-arrow {
	position: absolute;
	height: 100%;
	top: 0;
	z-index: 2;
	width: 1.6em;
	background: transparentize($gray-800,.5);
	color: $white;
	border: none;
	outline: none !important;
	font-size: 2em;
	cursor: pointer;
	opacity: .6;
	transition: opacity .3s;

	&:hover {
		opacity: 1;
	}
}
.slick-prev {
	left: 0;
}
.slick-next {
	right: 0;
}


// Charts
.hom-chart-market {
	position: relative;
	width: 100%;
	height: 65vh;
}

.hom-table {
	overflow-x: auto;
	transform:rotateX(180deg);
	font-size: .8em;
	table {
		transform:rotateX(-180deg);
		border-width: 5px;
		font-family: $headings-font-family;
		margin: 0;
	}
	@include media-breakpoint-up(lg) {
		overflow-x: visible;
		table {
			width: 100%;
		}
	}
}

.hom-roadmap {
	width: 80vw;
	max-width: 800px;
	font-size: 1.4vw;

	h2 {
		font-size: 4em;
		margin-bottom: 3em;
	}

	@media screen and (min-width: 1000px) {
		font-size: 14px;
	}

	&__container {
		position: relative;
		margin: 8em 0;
	}

	$width: .7em;
	&__point {
		height: $width;
		width: $width;
		background-color: $primary;
		border-radius: $width;
		position: relative;
		left: -$width/2;
		bottom: -$width/2;
		box-shadow: 0 1px 2px 0 rgba(51,51,51,0.4);
		outline: none !important;
		cursor: pointer;
		transition: transform .3s;
		&:hover {
			transform: scale(1.2);
		}
	}

	&__step {
		position: absolute;
		font-size: 3em;

		&_x1 {
			left: 4em;
		}

		&_x2 {
			left: 7.4em;
		}

		&_x3 {
			left: 10.8em;
		}

		&_x4 {
			left: 14.2em;
		}

		&_y1 {
			top: -.65em;
		}

		&_y2 {
			top: 3.55em;
			.hom-roadmap__point {
				background-color: #6E74BF;
			}
		}

		&_y3 {
			top: 7.75em;
			.hom-roadmap__point {
				background-color: #AE6179;
			}
		}
	}

	&__date {
		position: absolute;
		width: 5em;
		top: -170%;
		left: -2.5em;
		text-align: center;
		line-height: 1;
		font-size: .8em;
		font-weight: 600;
		@include media-breakpoint-up(sm) {
			top: -90%;
			font-size: .5em;
		}
	}

	&__subdate {
		font-size: .8em;
		opacity: .7;
		font-weight: 400;
	}

	&__description {
		position: absolute;
		text-align: center;
		line-height: 1;
		left: -2.5em;
		top: 160%;
		width: 5em;
		text-align: center;
		font-size: .6em;
		@include media-breakpoint-up(sm) {
			font-size: .4em !important;
		}
	}
}

.popover-header {
	border: none;
}
.g-avatar {
	@extend .bg-cover;
	width: 7em;
	height: 7em;
	margin-left: auto;
	margin-right: auto;
	border-radius: 7em;
}

.g-mobile-nav {
	position: fixed;
	width: 100vw;
	top: 0;
	background-color: $white;
	z-index: 1900;
	box-shadow: 0px 3px 5px -1px rgba(0,0,0,0.3);
	opacity: 0;
	transition: opacity .3s;
	pointer-events: none;
}
.g-fixed-nav {
	position: fixed;
	width: 100vw;
	top: 0;
	background-color: $white;
	z-index: 1900;
	box-shadow: 0px 3px 5px -1px rgba(0,0,0,0.3);
	opacity: 0;
	transition: opacity .3s;
	pointer-events: none;
}
.g-visible {
	opacity: 1;
	pointer-events: all;
}

.hom-logo {
	width: 8em;
	@include media-breakpoint-up(sm) {
		width: 10em;
	}
	@include media-breakpoint-up(md) {
		width: 12em;
	}
	@include media-breakpoint-up(lg) {
		width: 14em;
	}
}
.hom-mvp__click {
	position: absolute;
	padding: .5em;
	background-color: transparentize($dark, .1);
	border-radius: 5em;
	color: $white !important;
	z-index: 1;
	top: 5em;
	left: 0;
    right: 0;
    margin: auto;
    max-width: 10em;
}